import math

def deg_to_rad(angle_in_deg):
    angle_in_rad = angle_in_deg/180 * math.pi
    return angle_in_rad

def rad_to_deg(angle_in_rad):
    angle_in_deg = angle_in_rad * 180 / math.pi
    return angle_in_deg

def add_vectors(vec1, vec2):
    dimensions = len(vec1)
    output_vector = []
    for i in range(dimensions):
        output_vector.append(vec1[i] + vec2[i])
    return output_vector

def scalar_multiply(number, vec):
    dimensions = len(vec)
    output_vector = []
    for i in range(dimensions):
        output_vector.append(number*vec[i])
    return output_vector

def scalar_product(vec1, vec2):
    dimensions = len(vec1)
    output_value = 0
    for i in range(dimensions):
        output_value = output_value + vec1[i]*vec2[i]
    return output_value

def length_of_vector(vec):
    output_value = 0
    for element in vec:
        output_value = output_value + element**2
    output_value = math.sqrt(output_value)

    return output_value

def angle_between_vec(vec1,vec2):
    scalar_prod = scalar_product(vec1,vec2)
    l_1 = length_of_vector(vec1)
    l_2 = length_of_vector(vec2)

    angle = math.acos(scalar_prod/(l_1*l_2))

    return angle

angle_to_convert = 180

converted_angle = deg_to_rad(angle_to_convert)

vector1 = [3,2]
vector2 = [1,3]
scalar = 2

vector3 = add_vectors(vector1,vector2)
vector4 = scalar_multiply(scalar, vector3)

vec_scalar_product = scalar_product(vector1, vector2)
l_vec1 = length_of_vector(vector1)

angle = angle_between_vec(vector1,vector2)
print(rad_to_deg(angle))
